<?php 
/*
　* @$Id
　* @
　* @Ver: 2.0
　* @Create: 2009-11-18 8:10
　* @Modify: 
　* @Author: CPWEB http://www.cpweb.net.cn
　* @Copyright (C) 2008 www.cpweb.net.cn. All Rights Reserved.
　* @License CPWEB is free software and use is subject to license terms
　*/
class CasesAction extends GlobalAction 
{
	function _initialize()
	{
		parent::_initialize();
		$this->cpweb_model='model';
		$this->cpweb_find['view']='View';
		$this->cpweb_find['page']='1';
		$this->cpweb_find['thumb']=true;
	}
	public function index()
	{
		$key=array(
			array('value'=>'Cases.subject','name'=>L('CPWEB_READ_SUBJECT')),
		);
		$this->cpweb_category();
		$this->assign('key',$key);
		$this->cpweb_list();
		$this->assign('title','案例管理');
		$this->display();
	}

	public function add()
	{
		$this->cpweb_category();
		$designers=M('Designers')->where($map)->findall();
		$this->assign('designers',$designers);
		$this->assign('title','添加案例');
		$this->display();
	}
	public function edit()
	{
		$this->cpweb_read();
		$this->cpweb_category();
		$designers=M('Designers')->where($map)->findall();
		$this->assign('designers',$designers);
		$this->assign('title','编辑案例');
		$this->display();
	}
}
?>